<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varEmp = (isset($varForm["emp"]) && $varForm["emp"]<>'Ninguno')?$varForm["emp"]:"NULL";
	$varCli = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')?$varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";

	$sql = "call spQuery_Pagos_CxC($varEmp, $varCli, $varIni, $varFin, $varFie, $varOrd);";
	
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = "RELACION DE PAGOS [CXC]";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xFormuRegistro($varCod, $varOpt) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varCod, $varOpt);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "none");
	$respuestaXajax->assign("divFormPago", "innerHTML", utf8_encode($varTabla));
	
	//$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xRegresar() {
	/*
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	*/
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "block");
	$respuestaXajax->assign("divFormReg", "innerHTML", "");
	$respuestaXajax->assign("divFormPago", "innerHTML", "");
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divForm", "style.display", "block");
		$respuestaXajax->assign("divFormReg", "innerHTML", "");
		$respuestaXajax->assign("divFormPago", "innerHTML", "");
		$respuestaXajax->alert("PAGO MODIFICADO CORRECTAMENTE");
		return $respuestaXajax;
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXC_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->alert("PAGO ELIMINADO CORRECTAMENTE");
	return $respuestaXajax;
	}
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');		
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xExportarJS() {
		var varPatronFec = "^([0-9]{2})/([0-9]{2})/([0-9]{4})$";
		var expreg = new RegExp (varPatronFec);
		
		if (xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");   
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else if (xajax.$("fini").value!="" && expreg.test(xajax.$("fini").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO VÁLIDA");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin").value!="" && expreg.test(xajax.$("ffin").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE FIN VÁLIDA");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
			
		}
		
	function xBuscarJS(varField, varOrder) {
		var varPatronFec = "^([0-9]{2})/([0-9]{2})/([0-9]{4})$";
		var expreg = new RegExp (varPatronFec);
		
		if (xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");   
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else if (xajax.$("fini").value!="" && expreg.test(xajax.$("fini").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO VÁLIDA");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin").value!="" && expreg.test(xajax.$("ffin").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE FIN VÁLIDA");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	
	function xImprimirJS() {
		var varPatronFec = "^([0-9]{2})/([0-9]{2})/([0-9]{4})$";
		var expreg = new RegExp (varPatronFec);
		
		if (xajax.$("ccod") && xajax.$("ccod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CLIENTE");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else if (expreg.test(xajax.$("fini").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO VÁLIDA");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (expreg.test(xajax.$("ffin").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE FIN VÁLIDA");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			var varCli = xajax.$("ccod").value;
			var varIni = xajax.$("fini").value;
			var varFin = xajax.$("ffin").value;
			
			var Ruta = 'print/print_estado_cuenta_cxc.php?cli='+varCli+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_estado_cuenta_cxc", "location=no,status=no,toolbar=no,scrollbars=1,width=820,height=600");
			}
		}

	function xGrabarJS() {
		if (parseFloat(xajax.$("monto").value)>parseFloat(xajax.$("sal").value)) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUEVO MONTO NO PUEDE SER MAYOR A << "+xajax.$("sal").value+" >>");  
			xajax.$("monto").focus();
			return (false); 
			}
		else {
			if (confirm("¿DESEA ACTUALIZAR EL PAGO?")) {
				xajax_xGrabar(xajax.getFormValues('formPago'));		
				}
			}
		}
	
	function xEliminarJS(varCod,  varTab) {
		UnTip();
		if(_confirm('&iquest;ESTA SEGURO DE ELIMINAR ESTE REGISTRO')) {	
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
				
		}
			
	function FormuRegistroJS(varCod, varOpt, varTab) {
		UnTip();
		xajax_xFormuRegistro(varCod, varOpt);
		EliminarFilaTabla(varTab);	
		}
</script>
<?php				
	function MyTable($obj, $Titulo, $Opcion, $Valor) {
		if(!isset($Opcion)) {
			echo "<div id=\"divForm\">";
			echo $obj->FormuBusqueda();
			echo "<div id=\"divDatos\">";
			//echo $obj->GridDatos();		
			echo "</div>";
			echo "</div>";
			echo "<div id=\"divFormPago\">";
			echo "</div>";
			}
		} 
?>